aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorMarc Coquand <marc@mccd.space>2023-12-20 20:43:25 -0600
committerMarc Coquand <marc@mccd.space>2023-12-20 20:43:25 -0600
commitcc783c157f31e7e713c8b83be67449b1859dac27 (patch)
tree52559c115159671839f4b497b9191222faa35520 /scripts
downloadfixgen-cc783c157f31e7e713c8b83be67449b1859dac27.tar.gz
fixgen-cc783c157f31e7e713c8b83be67449b1859dac27.tar.bz2
fixgen-cc783c157f31e7e713c8b83be67449b1859dac27.zip
Initial commit
Diffstat (limited to '')
-rwxr-xr-xscripts/add-dependency.sh17
-rwxr-xr-xscripts/run-test-watch.sh1
-rwxr-xr-xscripts/run-watch.sh3
3 files changed, 21 insertions, 0 deletions
diff --git a/scripts/add-dependency.sh b/scripts/add-dependency.sh
new file mode 100755
index 0000000..2f941ff
--- /dev/null
+++ b/scripts/add-dependency.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# This script adds a dependency to the project.
+set -e
+
+NEW_DEP=$1
+
+# Add argument to dune-project after the word (depends
+# So (depends dune dream ppx becomes (depends dune dream ppx NEW_DEP
+sed -i "s/\(depends.*\)/\1 $NEW_DEP/" dune-project
+
+# Run dune to update the project
+dune build ann_bloop.opam
+
+
+# Run cat to generate a new package-deps.json
+cat $(nix eval .#package-defs --raw) > package-defs.json
diff --git a/scripts/run-test-watch.sh b/scripts/run-test-watch.sh
new file mode 100755
index 0000000..9190a39
--- /dev/null
+++ b/scripts/run-test-watch.sh
@@ -0,0 +1 @@
+dune runtest --watch --root . --profile release --no-buffer --force
diff --git a/scripts/run-watch.sh b/scripts/run-watch.sh
new file mode 100755
index 0000000..4558e2d
--- /dev/null
+++ b/scripts/run-watch.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+dune exec --watch --root . --profile release -- ./bin/main.exe